Bug 22547 - new port: graphics/mng
Summary: new port: graphics/mng
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-11-02 16:50 UTC by Mikhail T.
Modified: 2018-02-02 18:05 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (5.10 KB, text/plain)
2000-11-02 16:50 UTC, Mikhail T.
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail T. 2000-11-02 16:50:01 UTC
	This is the port of Multiple-image Network Graphics (MNG)
	reference library. It relies on the recently submitted port
	of graphics/lcms.

	I had to force configure to accept the given directory for
	lcms (see patch-aa). Unpatched configure looks for <lcms/lcms.h>
	in ${PREFIX}/include/lcms, but simply fixing that does not
	help -- it then mistakes cpp's warnings about redefined PACKAGE
	and VERSION for errors and disables use of LCMS.

	Once commited, the qt22 port can be modified to add mng support
	to our Qt libraries.
Comment 1 Trevor Johnson freebsd_committer 2000-11-03 16:44:39 UTC
State Changed
From-To: open->closed

Committed with minor changes--thanks, Mikhail!
Comment 2 commit-hook freebsd_committer 2018-02-02 18:05:26 UTC
A commit references this bug:

Author: bdrewery
Date: Fri Feb  2 18:05:10 UTC 2018
New revision: 460720
URL: https://svnweb.freebsd.org/changeset/ports/460720

Log:
  - Update to 3.2.4-148-g1f555127
  - Add dialog4ports as a dependency since 'options' requires it. [1]

   - image: Allow hostname to be empty for machines that get their hostname
     from DHCP
   - Force unmount if the non-busy unmount fails
   - bulk: Rework queue handling to avoid hitting 32k link limit on tmpfs on
     older releases.
   - Remove the need for a separate clean.sh to be called for queue cleanup.
   - Update poudriere.conf example to use ZPOOL=zroot as installer has
   - SIGINFO: Show phase time as well
   - Use PKG_EXT in more needed places (working on PKG_NOCOMPRESS still)
   - Avoid two builds stomping on the shared HTML assets directory
   - Fix MOVED handling for new flavor.
   - HTML: Serialize access to jail and top .data.json files

  PR:		22547 [1]
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org> [1]

Changes:
  head/ports-mgmt/poudriere-devel/Makefile
  head/ports-mgmt/poudriere-devel/distinfo
  head/ports-mgmt/poudriere-devel/pkg-plist